Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
EggCrop Class Reference

A program to read an egg file and write an equivalent egg file, possibly performing some minor operations along the way. More...

`#include "eggCrop.h"`

Inheritance diagram for EggCrop:

## Public Member Functions
virtual bool | post_command_line ()
| This is called after the command line has been completely processed, and it gives the program a chance to do some last-minute processing and validation of the options and arguments.
void | run ()
Public Member Functions inherited from EggFilter
| EggFilter (bool allow_last_param=false, bool allow_stdout=true)
Public Member Functions inherited from EggReader
void | add_delod_options (double default_delod=-1.0)
| Adds -delod as a valid option for this program.
void | add_texture_options ()
| Adds -td, -te, etc.
virtual EggReader * | as_reader ()
| Returns this object as an EggReader pointer, if it is in fact an EggReader, or NULL if it is not.
virtual void | pre_process_egg_file ()
| Performs any processing of the egg file that is appropriate after reading it in.
Public Member Functions inherited from EggBase
void | add_normals_options ()
| Adds -no, -np, etc.
void | add_points_options ()
| Adds -points as a valid option for this program.
void | add_transform_options ()
| Adds -TS, -TT, etc.
Public Member Functions inherited from ProgramBase
| ProgramBase (const std::string &name=std::string())
std::string | get_exec_command () const
| Returns the command that invoked this program, as a shell-friendly string, suitable for pasting into the comments of output files.
virtual void | parse_command_line (int argc, char **argv)
| Dispatches on each of the options on the command line, and passes the remaining parameters to handle_args().
void | show_description ()
| Writes the program description to stderr.
void | show_options ()
| Describes each of the available options to stderr.
void | show_text (const std::string &prefix, int indent_width, std::string text)
| Formats the indicated text and its prefix for output to stderr with the known _terminal_width.
void | show_text (const std::string &text)
| Formats the indicated text to stderr with the known _terminal_width.
void | show_usage ()
| Writes the usage line(s) to stderr.
void | write_man_page (std::ostream &out)
| Generates a man page in nroff syntax based on the description and options.
Public Member Functions inherited from EggWriter
| EggWriter (bool allow_last_param=false, bool allow_stdout=true)
| Egg-writing type programs may specify their output file using either the last-filename convention, the -o convention, and/or implicitly writing the result to standard output.
virtual EggWriter * | as_writer ()
| Returns this object as an EggWriter pointer, if it is in fact an EggWriter, or NULL if it is not.
virtual void | post_process_egg_file ()
| Performs any processing of the egg file that is appropriate before writing it out.
void | write_egg_file ()
| Writes out the egg file as the normal result of the program.
Public Member Functions inherited from WithOutputFile
| WithOutputFile (bool allow_last_param, bool allow_stdout, bool binary_output)
void | close_output ()
| Closes the output stream previously opened by get_output().
std::ostream & | get_output ()
| Returns an output stream that corresponds to the user's intended egg file output–either stdout, or the named output file.
Filename | get_output_filename () const
| If has_output_filename() returns true, this is the filename that the user specified.
bool | has_output_filename () const
| Returns true if the user specified an output filename, false otherwise (e.g.

## Additional Inherited Members
Public Types inherited from ProgramBase
typedef pdeque< std::string > | Args
Static Public Member Functions inherited from EggBase
static void | convert_paths (EggNode *node, PathReplace *path_replace, const DSearchPath &additional_path)
| Recursively walks the egg hierarchy.
Public Attributes inherited from ProgramBase
Args | _program_args
Filename | _program_name

## Detailed Description

A program to read an egg file and write an equivalent egg file, possibly performing some minor operations along the way.

Definition at line 27 of file eggCrop.h.

## Constructor & Destructor Documentation

## ◆ EggCrop()

EggCrop::EggCrop | ( |  | ) |

Definition at line 24 of file eggCrop.cxx.

## Member Function Documentation

## ◆ post_command_line()

bool EggCrop::post_command_line | ( |  | ) |
| virtual

This is called after the command line has been completely processed, and it gives the program a chance to do some last-minute processing and validation of the options and arguments.

It should return true if everything is fine, false if there is an error.

Reimplemented from EggFilter.

Definition at line 49 of file eggCrop.cxx.

## ◆ run()

void EggCrop::run | ( |  | ) |

Definition at line 62 of file eggCrop.cxx.

The documentation for this class was generated from the following files:

- pandatool/src/eggprogs/eggCrop.h
- pandatool/src/eggprogs/eggCrop.cxx